using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

namespace ScrollTest
{
	/// <summary>
	/// Zusammenfassung fr Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.Panel panel2;
		private System.Windows.Forms.Panel panel3;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.TextBox textBox1;
		/// <summary>
		/// Erforderliche Designervariable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public Form1()
		{
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();

			panel1.MouseWheel += new MouseEventHandler(panel1_MouseWheel);
			panel1.GotFocus += new EventHandler(panel1_GotFocus);
			panel2.MouseWheel += new MouseEventHandler(panel2_MouseWheel);
			panel2.GotFocus += new EventHandler(panel2_GotFocus);
			panel3.MouseWheel += new MouseEventHandler(panel3_MouseWheel);
			panel3.GotFocus += new EventHandler(panel3_GotFocus);
			label1.MouseWheel += new MouseEventHandler(label1_MouseWheel);
			label1.GotFocus += new EventHandler(label1_GotFocus);
			textBox1.MouseWheel += new MouseEventHandler(textBox1_MouseWheel);
			textBox1.GotFocus += new EventHandler(textBox1_GotFocus);
			button1.MouseWheel += new MouseEventHandler(button1_MouseWheel);
			button1.GotFocus += new EventHandler(button1_GotFocus);
			this.MouseWheel += new MouseEventHandler(Form1_MouseWheel);
		}

		/// <summary>
		/// Die verwendeten Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			this.panel1 = new System.Windows.Forms.Panel();
			this.panel2 = new System.Windows.Forms.Panel();
			this.panel3 = new System.Windows.Forms.Panel();
			this.label1 = new System.Windows.Forms.Label();
			this.button1 = new System.Windows.Forms.Button();
			this.textBox1 = new System.Windows.Forms.TextBox();
			this.panel1.SuspendLayout();
			this.panel2.SuspendLayout();
			this.SuspendLayout();
			// 
			// panel1
			// 
			this.panel1.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(255)), ((System.Byte)(192)));
			this.panel1.Controls.Add(this.panel2);
			this.panel1.Location = new System.Drawing.Point(8, 8);
			this.panel1.Name = "panel1";
			this.panel1.Size = new System.Drawing.Size(272, 256);
			this.panel1.TabIndex = 0;
			// 
			// panel2
			// 
			this.panel2.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(192)), ((System.Byte)(255)));
			this.panel2.Controls.Add(this.textBox1);
			this.panel2.Controls.Add(this.button1);
			this.panel2.Controls.Add(this.panel3);
			this.panel2.Controls.Add(this.label1);
			this.panel2.Location = new System.Drawing.Point(20, 16);
			this.panel2.Name = "panel2";
			this.panel2.Size = new System.Drawing.Size(232, 224);
			this.panel2.TabIndex = 1;
			// 
			// panel3
			// 
			this.panel3.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(255)), ((System.Byte)(192)));
			this.panel3.Location = new System.Drawing.Point(16, 80);
			this.panel3.Name = "panel3";
			this.panel3.Size = new System.Drawing.Size(200, 24);
			this.panel3.TabIndex = 2;
			// 
			// label1
			// 
			this.label1.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(192)), ((System.Byte)(255)), ((System.Byte)(255)));
			this.label1.Location = new System.Drawing.Point(16, 16);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(200, 23);
			this.label1.TabIndex = 0;
			this.label1.Text = "label1";
			// 
			// button1
			// 
			this.button1.BackColor = System.Drawing.Color.FromArgb(((System.Byte)(255)), ((System.Byte)(224)), ((System.Byte)(192)));
			this.button1.Location = new System.Drawing.Point(16, 112);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(200, 23);
			this.button1.TabIndex = 3;
			this.button1.Text = "button1";
			// 
			// textBox1
			// 
			this.textBox1.Location = new System.Drawing.Point(16, 48);
			this.textBox1.Name = "textBox1";
			this.textBox1.Size = new System.Drawing.Size(200, 20);
			this.textBox1.TabIndex = 4;
			this.textBox1.Text = "textBox1";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(292, 273);
			this.Controls.Add(this.panel1);
			this.Name = "Form1";
			this.Text = "Form1";
			this.panel1.ResumeLayout(false);
			this.panel2.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// Der Haupteinstiegspunkt fr die Anwendung.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}

		private void panel1_MouseWheel(object sender, MouseEventArgs e)
		{
			Console.WriteLine ("Panel 1: {0}", e.Delta);
		}

		private void panel2_MouseWheel(object sender, MouseEventArgs e)
		{
			Console.WriteLine ("Panel 2: {0}", e.Delta);
		}

		private void label1_MouseWheel(object sender, MouseEventArgs e)
		{
			Console.WriteLine ("Label: {0}", e.Delta);
		}

		private void textBox1_MouseWheel(object sender, MouseEventArgs e)
		{
			Console.WriteLine ("TextBox: {0}", e.Delta);
		}

		private void panel3_MouseWheel(object sender, MouseEventArgs e)
		{
			Console.WriteLine ("Panel 3: {0}", e.Delta);
		}

		private void Form1_MouseWheel(object sender, MouseEventArgs e)
		{
			Console.WriteLine ("Form: {0}", e.Delta);
		}

		private void button1_MouseWheel(object sender, MouseEventArgs e)
		{
			Console.WriteLine ("Button: {0}", e.Delta);
		}

		private void panel1_GotFocus(object sender, EventArgs e)
		{
			Console.WriteLine ("Panel 1: Got focus");
		}

		private void panel2_GotFocus(object sender, EventArgs e)
		{
			Console.WriteLine ("Panel 2: Got focus");
		}

		private void panel3_GotFocus(object sender, EventArgs e)
		{
			Console.WriteLine ("Panel 3: Got focus");
		}

		private void label1_GotFocus(object sender, EventArgs e)
		{
			Console.WriteLine ("Label: Got focus ({0})", CanFocus);
		}

		private void textBox1_GotFocus(object sender, EventArgs e)
		{
			Console.WriteLine ("TextBox: Got focus");
		}

		private void button1_GotFocus(object sender, EventArgs e)
		{
			Console.WriteLine ("Button: Got focus");
		}
	}
}
